> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://docs.tabs.com/api-reference/contracts/integrators-api-contractsv-3-controller-update-commitment-step/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.tabs.com/_mcp/server. # Update commitment step PATCH https://integrators.prod.api.tabsplatform.com/v3/contracts/{id}/commitments/{commitmentId}/steps/{stepId} Content-Type: application/json Reference: https://docs.tabs.com/api-reference/contracts/integrators-api-contractsv-3-controller-update-commitment-step ## Authentication - `Authorization` header (required) — API Key authentication via header ## Request ### Path parameters - `id` (string, required) — Contract Id - `commitmentId` (string, required) — Commitment Id - `stepId` (string, required) — Step Id ### Body (application/json) This endpoint expects an UpdateUsageCommitmentStepV3RequestDto. - `commitmentValue` (double, optional) — New commitment amount value - `prepaidValue` (double, optional) — New prepaid amount - `prepaidEnabled` (boolean, optional) — Toggle prepaid on or off for the step - `pricePriority` (enum, optional) — New price priority for the step - Allowed values: `LOW`, `HIGH` ## Response ### 200 Step updated ## Errors ### 400 Bad Request Error Step does not belong to commitment, or invalid step configuration - `any` ### 403 Forbidden Error Commitments v2 is not enabled for this manufacturer - `any` ### 404 Not Found Error Step not found - `any` ## Examples **Request** ```json {} ``` **Response** ```json {} ``` **SDK Code** ```python import requests url = "https://integrators.prod.api.tabsplatform.com/v3/contracts/123e4567-e89b-12d3-a456-426614174000/commitments/commitmentId/steps/stepId" payload = {} headers = { "Authorization": "", "Content-Type": "application/json" } response = requests.patch(url, json=payload, headers=headers) print(response.json()) ``` ```javascript const url = 'https://integrators.prod.api.tabsplatform.com/v3/contracts/123e4567-e89b-12d3-a456-426614174000/commitments/commitmentId/steps/stepId'; const options = { method: 'PATCH', headers: {Authorization: '', 'Content-Type': 'application/json'}, body: '{}' }; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go package main import ( "fmt" "strings" "net/http" "io" ) func main() { url := "https://integrators.prod.api.tabsplatform.com/v3/contracts/123e4567-e89b-12d3-a456-426614174000/commitments/commitmentId/steps/stepId" payload := strings.NewReader("{}") req, _ := http.NewRequest("PATCH", url, payload) req.Header.Add("Authorization", "") req.Header.Add("Content-Type", "application/json") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby require 'uri' require 'net/http' url = URI("https://integrators.prod.api.tabsplatform.com/v3/contracts/123e4567-e89b-12d3-a456-426614174000/commitments/commitmentId/steps/stepId") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Patch.new(url) request["Authorization"] = '' request["Content-Type"] = 'application/json' request.body = "{}" response = http.request(request) puts response.read_body ``` ```java import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.patch("https://integrators.prod.api.tabsplatform.com/v3/contracts/123e4567-e89b-12d3-a456-426614174000/commitments/commitmentId/steps/stepId") .header("Authorization", "") .header("Content-Type", "application/json") .body("{}") .asString(); ``` ```php request('PATCH', 'https://integrators.prod.api.tabsplatform.com/v3/contracts/123e4567-e89b-12d3-a456-426614174000/commitments/commitmentId/steps/stepId', [ 'body' => '{}', 'headers' => [ 'Authorization' => '', 'Content-Type' => 'application/json', ], ]); echo $response->getBody(); ``` ```csharp using RestSharp; var client = new RestClient("https://integrators.prod.api.tabsplatform.com/v3/contracts/123e4567-e89b-12d3-a456-426614174000/commitments/commitmentId/steps/stepId"); var request = new RestRequest(Method.PATCH); request.AddHeader("Authorization", ""); request.AddHeader("Content-Type", "application/json"); request.AddParameter("application/json", "{}", ParameterType.RequestBody); IRestResponse response = client.Execute(request); ``` ```swift import Foundation let headers = [ "Authorization": "", "Content-Type": "application/json" ] let parameters = [] as [String : Any] let postData = JSONSerialization.data(withJSONObject: parameters, options: []) let request = NSMutableURLRequest(url: NSURL(string: "https://integrators.prod.api.tabsplatform.com/v3/contracts/123e4567-e89b-12d3-a456-426614174000/commitments/commitmentId/steps/stepId")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "PATCH" request.allHTTPHeaderFields = headers request.httpBody = postData as Data let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```